Bug 16653 - reports/cat_issues_top.pl does not export "Count of checkouts" column as CSV
Summary: reports/cat_issues_top.pl does not export "Count of checkouts" column as CSV
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-03 19:52 UTC by Barton Chittenden
Modified: 2019-10-14 19:58 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16653: Display number of checkouts when exporting 'Most-circulated items' as CSV (2.46 KB, patch)
2018-06-07 14:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16653: Display number of checkouts when exporting 'Most-circulated items' as CSV (2.52 KB, patch)
2018-06-08 19:53 UTC, Pierre-Luc Lapointe
Details | Diff | Splinter Review
Bug 16653: Display number of checkouts when exporting 'Most-circulated items' as CSV (2.60 KB, patch)
2018-06-25 12:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 16653: (QA follow-up) Avoid a warning and remove unused variables (1.56 KB, patch)
2018-06-25 12:59 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2016-06-03 19:52:15 UTC
reports/cat_issues_top.pl does not export "Count of checkouts" column as CSV

To replicate:

1/ Make sure that test instance has circulation in a given date range
2/ Go to Home › Reports › Most-circulated items
3/ Select a date range
4/ Select 'To screen into the browser' radio button, click submit.
5/ Note that Columns 'Rank/Biblioitemnumbers', 'Global' and 'Count of checkouts' appear in screen output.
6/ Click the browser's back button
7/ Change output to 'To a file', click submit.
8/ Note that the columns "100/", "Global" and "Total" are exported to the CSV file. "100/" contains the rank, "Global" is still global, and the "Total" column is empty.
Comment 1 paxed 2018-06-07 05:05:43 UTC
Encountered this today.

I guess no-one is actually using this report and saving the output to CSV.
Comment 2 Jonathan Druart 2018-06-07 14:49:09 UTC
Created attachment 75886 [details] [review]
Bug 16653: Display number of checkouts when exporting 'Most-circulated items' as CSV

reports/cat_issues_top.pl does not export "Count of checkouts" column as CSV

To replicate:

1/ Make sure that test instance has circulation in a given date range
2/ Go to Home › Reports › Most-circulated items
3/ Select a date range
4/ Select 'To screen into the browser' radio button, click submit.
5/ Note that Columns 'Rank/Biblioitemnumbers', 'Global' and 'Count of checkouts' appear in screen output.
6/ Click the browser's back button
7/ Change output to 'To a file', click submit.

Without this patch:
the columns "100/", "Global" and "Total" are exported to the CSV file.
"100/" contains the rank, "Global" is still global, and the "Total" column is empty.

With this patch patch applied, the last column is filled and the "Total" line is removed

(This script is really dirty)
Comment 3 Pierre-Luc Lapointe 2018-06-08 19:53:07 UTC
Created attachment 75937 [details] [review]
Bug 16653: Display number of checkouts when exporting 'Most-circulated items' as CSV

reports/cat_issues_top.pl does not export "Count of checkouts" column as CSV

To replicate:

1/ Make sure that test instance has circulation in a given date range
2/ Go to Home › Reports › Most-circulated items
3/ Select a date range
4/ Select 'To screen into the browser' radio button, click submit.
5/ Note that Columns 'Rank/Biblioitemnumbers', 'Global' and 'Count of checkouts' appear in screen output.
6/ Click the browser's back button
7/ Change output to 'To a file', click submit.

Without this patch:
the columns "100/", "Global" and "Total" are exported to the CSV file.
"100/" contains the rank, "Global" is still global, and the "Total" column is empty.

With this patch patch applied, the last column is filled and the "Total" line is removed

(This script is really dirty)

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>
Comment 4 Julian Maurice 2018-06-25 12:59:38 UTC
Created attachment 76376 [details] [review]
Bug 16653: Display number of checkouts when exporting 'Most-circulated items' as CSV

reports/cat_issues_top.pl does not export "Count of checkouts" column as CSV

To replicate:

1/ Make sure that test instance has circulation in a given date range
2/ Go to Home › Reports › Most-circulated items
3/ Select a date range
4/ Select 'To screen into the browser' radio button, click submit.
5/ Note that Columns 'Rank/Biblioitemnumbers', 'Global' and 'Count of checkouts' appear in screen output.
6/ Click the browser's back button
7/ Change output to 'To a file', click submit.

Without this patch:
the columns "100/", "Global" and "Total" are exported to the CSV file.
"100/" contains the rank, "Global" is still global, and the "Total" column is empty.

With this patch patch applied, the last column is filled and the "Total" line is removed

(This script is really dirty)

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>

(Yes it is)

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Julian Maurice 2018-06-25 12:59:43 UTC
Created attachment 76377 [details] [review]
Bug 16653: (QA follow-up) Avoid a warning and remove unused variables

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Nick Clemens 2018-06-29 21:01:44 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-07-02 07:24:36 UTC
Pushed to 18.05.x for 18.05.02, trivial bugfix.
Comment 8 Fridolin Somers 2018-07-04 07:46:29 UTC
Pushed to 17.11.x for 17.11.08